%define	major 3
%define libname %mklibname tirpc %{major}
%define develname %mklibname tirpc -d

Summary:	Transport Independent RPC Library
Name:		libtirpc
Version:	1.0.1
%define subrel	1
Release:	%mkrel 5
License:	GPL
Group:		System/Libraries
URL:		http://sourceforge.net/projects/libtirpc
Source0:	http://downloads.sourceforge.net/libtirpc/%{name}-%{version}.tar.bz2
Patch001:	libtirpc-1.0.2-rc3.patch
Patch002:	libtirpc-1.0.2-rc3-CVE-2016-4429.patch
Patch003:	libtirpc-CVE-2017-8779.patch
Patch004:	libtirpc-1.0.2-CVE-2017-12133.patch
BuildRequires:	pkgconfig
BuildRequires:	krb5-devel

%description
This package contains SunLib's implementation of transport-independent
RPC (TI-RPC) documentation.  This library forms a piece of the base of
Open Network Computing (ONC), and is derived directly from the
Solaris 2.3 source.

TI-RPC is an enhanced version of TS-RPC that requires the UNIX System V
Transport Layer Interface (TLI) or an equivalent X/Open Transport Interface
(XTI).  TI-RPC is on-the-wire compatible with the TS-RPC, which is supported
by almost 70 vendors on all major operating systems.  TS-RPC source code
(RPCSRC 4.0) remains available from several internet sites.

%package -n	%{libname}
Summary:	Transport Independent RPC Library
Group:		System/Libraries
Requires:	%{name}

%description -n	%{libname}
This package contains SunLib's implementation of transport-independent
RPC (TI-RPC) documentation.  This library forms a piece of the base of
Open Network Computing (ONC), and is derived directly from the
Solaris 2.3 source.

TI-RPC is an enhanced version of TS-RPC that requires the UNIX System V
Transport Layer Interface (TLI) or an equivalent X/Open Transport Interface
(XTI).  TI-RPC is on-the-wire compatible with the TS-RPC, which is supported
by almost 70 vendors on all major operating systems.  TS-RPC source code
(RPCSRC 4.0) remains available from several internet sites.

%package -n	%{develname}
Summary:	Development files for the libtirpc library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	tirpc-devel = %{version}-%{release}
Obsoletes:	%{mklibname tirpc 1 -d}

%description -n	%{develname}
This package contains SunLib's implementation of transport-independent
RPC (TI-RPC) documentation.  This library forms a piece of the base of
Open Network Computing (ONC), and is derived directly from the
Solaris 2.3 source.

TI-RPC is an enhanced version of TS-RPC that requires the UNIX System V
Transport Layer Interface (TLI) or an equivalent X/Open Transport Interface
(XTI).  TI-RPC is on-the-wire compatible with the TS-RPC, which is supported
by almost 70 vendors on all major operating systems.  TS-RPC source code
(RPCSRC 4.0) remains available from several internet sites.

This package includes header files and libraries necessary for developing
programs which use the tirpc library.


%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
export CFLAGS="%{optflags} -fPIC"
%configure2_5x
%make all

%install

%makeinstall_std
install -m 755 -d %{buildroot}%{_sysconfdir}
install -m 644 doc/netconfig %{buildroot}%{_sysconfdir}/netconfig

# remove the .la file, it makes libtool reorder args when linking nfs-utils:
# http://lists.gnu.org/archive/html/libtool/2010-03/msg00023.html
rm -f %{buildroot}%{_libdir}/*.la

%files
%config(noreplace) %{_sysconfdir}/netconfig

%files -n %{libname}
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/libtirpc.pc
%{_includedir}/tirpc
%{_mandir}/man3/*
%{_mandir}/man5/*


%changelog
* Sat Dec 16 2017 tmb <tmb> 1.0.1-5.1.mga6
+ Revision: 1182764
- fix CVE-2017-12133

* Sat May 06 2017 neoclust <neoclust> 1.0.1-5.mga6
+ Revision: 1099234
- Add P3 - Fixes CVE-2017-8779 (mga#20788)

* Fri Jul 22 2016 luigiwalser <luigiwalser> 1.0.1-4.mga6
+ Revision: 1043138
- rediff patch from glibc to fix CVE-2016-4429

* Tue Jun 07 2016 luigiwalser <luigiwalser> 1.0.1-3.mga6
+ Revision: 1020607
- 1.0.2-rc3

* Sat Jan 02 2016 tv <tv> 1.0.1-2.mga6
+ Revision: 918180
- relax requires from lib pkg on libtirpc (which defeats libification otherwise)

* Fri Jan 01 2016 luigiwalser <luigiwalser> 1.0.1-1.mga6
+ Revision: 917811
- library major is now 3
- 1.0.2-rc1

* Thu Oct 22 2015 spuhler <spuhler> 0.3.2-2.mga6
+ Revision: 894073
- rebuild because nlibtrpc deleted the libs

* Sat Jul 25 2015 blino <blino> 0.3.2-1.mga6
+ Revision: 857697
- 0.3.2
- add patch from upstream to get back __rpc_get_default_domain symbol

* Wed Oct 15 2014 umeabot <umeabot> 0.2.5-3.mga5
+ Revision: 742903
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.5-2.mga5
+ Revision: 681815
- Mageia 5 Mass Rebuild

* Fri Aug 15 2014 luigiwalser <luigiwalser> 0.2.5-1.mga5
+ Revision: 662898
- 0.2.5

* Thu Dec 12 2013 luigiwalser <luigiwalser> 0.2.4-1.mga4
+ Revision: 556397
- 0.2.4

* Thu Dec 12 2013 luigiwalser <luigiwalser> 0.2.3-4.mga4
+ Revision: 556392
- 0.2.4-rc3 (upstream patch via fedora)

* Tue Oct 22 2013 umeabot <umeabot> 0.2.3-3.mga4
+ Revision: 545099
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 luigiwalser <luigiwalser> 0.2.3-2.mga4
+ Revision: 500749
- 0.2.4-rc2 (upstream patch via fedora, fixes CVE-2013-1950)
- krb5 is now used instead of gssglue

* Tue Jul 23 2013 luigiwalser <luigiwalser> 0.2.3-1.mga4
+ Revision: 457476
- 0.2.3
- remove upstreamed patch 0

* Sat Jan 12 2013 umeabot <umeabot> 0.2.2-3.mga3
+ Revision: 358257
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 luigiwalser <luigiwalser> 0.2.2-2.mga3
+ Revision: 340642
- fix for automake 1.13

* Tue Jul 26 2011 guillomovitch <guillomovitch> 0.2.2-1.mga2
+ Revision: 129665
- new version

* Sun Jan 23 2011 ennael <ennael> 0.2.1-3.mga1
+ Revision: 33403
- remove mdkversion
- imported package libtirpc

